{% extends 'base.html.twig' %}

{% block icon %}fas fa-book{% endblock %}
{% block title %}Vocabulaires contrôlés{% endblock %}
{% block breadcrumb %}
    <li>Référentiel archivage</li>
    <li class="active">Vocabulaires contrôlés</li>
{% endblock %}

{% block body %}
    <div class="container btn-separator">
        <button
                type="button"
                class="btn btn-success"
                data-modal="ajax"
                data-url="{{ url('app_vocabulary_add') }}"
                data-title="Créer un vocabulaire contrôlé"
                data-table="#{{ table.id() }}"
        >
            <i class="fa fa-plus-circle fa-space" aria-hidden="true"></i>
            Créer un vocabulaire contrôlé
        </button>
        <button
                type="button"
                class="btn btn-success"
                data-modal="ajax"
                data-url="{{ url('app_vocabulary_import1') }}"
                data-title="Importer des vocabulaires contrôlé"
                data-table="#{{ table.id() }}"
        >
            <i class="fa fa-upload fa-space" aria-hidden="true"></i>
            Importer des vocabulaires contrôlé
        </button>
        <a href="{{ url('app_vocabulary_export', app.request.query.all) }}" target="_blank" class="btn btn-primary">
            <i class="fa fa-download fa-space" aria-hidden="true"></i>Exporter les éléments publiés
        </a>
    </div>

    {{ generate_filters(table) }}

    {{ include(
        'table/section.html.twig',
        {
            title: "Liste des vocabulaires contrôlés"
        }
    ) }}

    <section class="container text-right">
        <a href="{{ url('app_vocabulary_csv', app.request.query.all) }}" data-link-download-csv="%s_vocabulary.csv" target="_blank" class="btn btn-primary">
            <i class="fa fa-download fa-space" aria-hidden="true"></i>Télécharger au format CSV
        </a>
    </section>
{% endblock %}

{% block bottomScript %}
    <script>
        $(function() {
            let table = $('#{{ table.id() }}');
            let generator = table.data('tableGenerator');
            table.on(
                'modal_form_success',
                (event, content, jqXHR) => {
                    let previousVersionId = jqXHR.getResponseHeader('X-Asalae-PreviousVersionId');
                    if (previousVersionId) {
                        generator.removeDataId(previousVersionId);
                        generator.decrementPaginator(table.closest('section').find('.pagination-counters'));
                        generator.generateAll();
                    }
                }
            );
        });
    </script>
{% endblock %}
